<div *ngIf="loggedUser" class="container-fluid">
  <div class="row">
    <div class="col-sm-12">
        <table class="table table-striped table-hover m-2">
          <thead>
            <tr class="row tableHead">
              <th class="col-sm-1"></th>
              <th class="col-sm-2"><i class="fas fa-user-edit" title="Author"></i></th>
              <th class="col-sm-7 headRow"><i class="fas fa-comment-alt" title="Comments"></i></th>
              <th class="col-sm-2 headRow"><i class="fas fa-clock" title="Created"></i></th>
            </tr>
          </thead>
          <tbody>
            <tr *ngFor="let comment of comments" class="row">
              <td class="col-sm-1"><img src="https://cdn-images-1.medium.com/max/1200/1*MccriYX-ciBniUzRKAUsAw.png">
              </td>
              <td class="authorName col-sm-2 font-weight-bold text-center">{{ comment.user }}</td>
              <td class="col-sm-7">
                <app-comment [comment]="comment" [loggedUser]="loggedUser" [loggedUserName]="loggedUserName" [loggedUserRole]="loggedUserRole" [postId]="postId"></app-comment></td>
              <td class="col-sm-2 font-weight-light text-center">{{ comment.updatedAt | date:'E, dd MMM  h:mm,  y'}}
              </td>
              
            </tr>
          </tbody>
        </table>
    </div>
  </div>      
</div>  